get
https://{subdomain}.workable.com/spi/v3/candidates//activities
Returns the activity stream of the given candidate. Required scope: r_candidates. Accessible with all token types.
Results
Calling the /candidates/:id/activities endpoint returns a JSON array of the candidate's activities.
| key | description |
|---|---|
| activities | array of activities |
Each activity has the following keys:
| key | type | description |
|---|---|---|
| action | string | The action/type of the activity. See Action values |
| stage_name | string | The stage the candidate was in when the activity was created (We populate the stage_name only for the activities that are created when a candidate is getting moved from one stage to another.) |
| action_stage | object | The stage the candidate was when the action was initiated, including the its id and name |
| target_stage | object | The stage that the candidate landed as a result of the action (target_stage is only populated for move activities) |
| created_at | string | The creation timestamp of the activity |
| updated_at | string | The activity’s last update timestamp |
| member | object | The member that created the activity (if applicable), contains id and name of the member |
| body | string | The body of the activity, available if action is comment, rating, message or disqualified |
| rating | object | Contains the score of the activity, if action is rating |
| visibility_roles | array(string) | Includes all collaboration roles (comma separated) capable of viewing the activity - admin, recruiting_admin, hiring_manager, simple, reviewer, recruiter. It is available for single and bulk activities of action: comment, ratingand message |
Action values
The action key of each activity takes one of the values below. Use the same values in the actions query parameter to filter the results.
| Action | Description |
|---|---|
applied | The candidate applied to the job. |
sourced | The candidate was moved to a stage of type Sourced. |
shortlisted | The candidate was moved to a stage of type Shortlisted. |
phone-screen | The candidate was moved to a stage of type Phone screen. |
assessment | The candidate was moved to a stage of type Assessment. |
interview | The candidate was moved to a stage of type Interview. |
offer | The candidate was moved to a stage of type Offer. |
hired | The candidate was moved to a stage of type Hired. |
uploaded | A member added the candidate to the job (including candidates added through AI Recruiter). |
copied | A member copied the candidate from another job (including candidates added through AI Recruiter). |
moved | A member moved the candidate from another job. |
referral | A member gave a referral for the candidate. |
recommended | The candidate was referred by an employee. |
disqualified | A member disqualified the candidate. |
auto-disqualified | The candidate was disqualified automatically. |
reverted | A member reverted the disqualification. The candidate is qualified again. |
snoozed | A member snoozed the candidate until a date. |
unsnoozed | A member removed the snooze. |
awakened | The snooze period ended and the candidate is active again. |
blocked | A member blocked the candidate from all current and future jobs. |
unblocked | A member unblocked the candidate. |
bookmarked | A member saved the candidate for future reference. |
unbookmarked | A member removed the candidate from saved. |
comment | A member added a comment. |
rating | A member added an evaluation. |
feedback | An external user provided feedback. |
message | An email or text message was sent to the candidate. |
bulk-message | The candidate was included in a bulk email. |
bulk-message-scheduled | A bulk email or text message was scheduled for a later date. |
automation-scheduled | An automated action (e.g. automated email) for the candidate was scheduled, sent, canceled or failed. |
ai_agent_stopped | A member performed manual actions, so Workable Agent stopped contacting, evaluating and advancing the candidate. |
sms-consent-forced | A member enabled text messaging for the candidate. |
sms-consent-declined | Text messaging was disabled for the candidate. |
gdpr-policy-notification | The candidate was notified about a new privacy notice. |
event | A member scheduled an event (e.g. interview) with the candidate. |
event-request | The candidate was asked to schedule an event. |
event-cancelled | A member canceled a scheduled event. |
assessment-requested | An assessment invitation was sent to the candidate. |
assessment-completed | The assessment result is available, or the candidate missed the assessment deadline. |
assessment-check-requested | A member requested a check (e.g. education reference check) through a background check provider. |
assessment-check-completed | The requested check is complete and the results are available. |
video-interview-requested | A video interview invitation was sent to the candidate. |
video-interview-completed | The candidate completed the video interview. |
background-check-requested | A member requested a background check. |
background-check-consented | The candidate consented to the background check. |
background-check-completed | The background check is complete. |
background-check-pre-adverse | A member initiated adverse action based on the background check. |
reference-check-requested | A member requested a reference check. |
offer-pending-approval | A member sent the offer for approval. |
offer-approved | The offer was approved. |
offer-rejected | The approver did not approve the offer. |
offer-scheduled | The offer is scheduled to be sent at a later date. |
offer-sent | A member sent the offer to the candidate. |
offer-accepted | The candidate accepted and signed the offer. |
offer-declined | The candidate declined the offer. |
offer-canceled | A member canceled the offer. |
offer-expired | The offer expired. |
e-signature-request-sent | A member sent a document for signature. |
e-signature-request-accepted | The candidate signed the requested document. |
e-signature-request-declined | The candidate declined to sign the requested document. |
